# cabal2spec-0.25.4
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

Name:           cabal-dev
Version:        0.9.1
Release:        1%{?dist}
Summary:        Haskell package sandboxing development tool

Group:          Development/Tools
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches_with_ghci}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# END cabal2spec
BuildRequires:  ghc-HTTP-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-tar-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-zlib-devel
BuildRequires:  cabal-install
Requires:       cabal-install

%description
cabal-dev is a tool for managing development builds of Haskell projects.
It supports maintaining sandboxed cabal-install repositories,
and sandboxed ghc package databases.

By default, it uses a cabal-dev directory under the current working directory
as the sandbox.

For most packages, just use cabal-dev instead of cabal, and you will get
a sandboxed build that will not install anything (even automatically installed
dependencies) into the user or global ghc package databases.

If your build depends on patched or unreleased libraries, you can add them to
your sandboxed build environment.


%prep
%setup -q


%build
%define ghc_without_dynamic 1
%ghc_bin_build


%install
%ghc_bin_install

%{__rm} %buildroot%{_bindir}/ghc-pkg-6_8-compat


%files
%doc LICENSE
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/fake-ghc-cabal-dev
%{_datadir}/%{name}-%{version}


%changelog
* Thu Feb  9 2012 Jens Petersen <petersen@redhat.com> - 0.9.1-1
- update to 0.9.1
- patches to buildsys for cabal-install no longer needed

* Tue Jan 24 2012 Jens Petersen <petersen@redhat.com> - 0.9-4
- build only for ghc_arches_with_ghci

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 26 2011 Jens Petersen <petersen@redhat.com> - 0.9-2
- rebuild against new gmp

* Mon Sep 26 2011 Jens Petersen <petersen@redhat.com> - 0.9-1
- update to 0.9

* Thu Jul 21 2011 Jens Petersen <petersen@redhat.com> - 0.8-2
- depends on template-haskell

* Tue Jul 19 2011 Jens Petersen <petersen@redhat.com> - 0.8-1
- update to 0.8
- disable dynamic linking since it seems to break with Template Haskell
- add new fake-ghc-cabal-dev helper program

* Thu Jul 14 2011 Jens Petersen <petersen@redhat.com> - 0.7.4.1-3
- use ghc_arches and BR Cabal (cabal2spec-0.23.2)

* Tue May  3 2011 Jens Petersen <petersen@redhat.com> - 0.7.4.1-2
- add BRs for ghc-HTTP, ghc-mtl, ghc-network, ghc-tar, and ghc-zlib devel
- patch out cabal-install from .cabal and Setup files
- requires cabal-install

* Thu Mar 17 2011 Jens Petersen <petersen@redhat.com> - 0.7.4.1-1
- license is BSD
- remove ghc-pkg-6_8-compat

* Thu Mar 17 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.7.4.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.5
